#include "general.h"
#include "kppp_logger.h"
#include <iostream>
#include <fstream>
void
readlog ()
{
	char *wdir= getenv("HOME");
	string workingDir = wdir, online = workingDir + "/.kppp_logger/online.log", onlineSave = workingDir + "/.kppp_logger/online.log.save" ;
  if (e.filex (online_log, false) == FILE_MISSING)
    {
      sound ();
      leave (ERROR, "Your log is currently empty, or does not exist.", no_files_open);
    }
  string loggie; 
  int count = 0;
  bool notzero = false;
  ifstream ReadLog (online.c_str(), ios::binary);
  if (!ReadLog) 
	  errorhandler ("online.log could not be opened though it exists.\n Check the permissions.");

  else
    {
	    
		while (getline (ReadLog, loggie))
		{
		  count++;
	  /* 23 is a reasonable number for most commonly used terminals, xterm, Eterm, Aterm rxvt.. */
		  if (count == 23)
			{
			  notzero = true;
			  count = 0;
			  cout << "[--Press return to proceed--]" << endl;
			  getchar ();
			}
		  cout << loggie << endl;
		}
	/* leave(clean, "void", files_open); */
	}
  
	/* 
	  'notzero' has to be present, since 'count' is reset to 0 if the log
	  exceeds 23 lines.
	*/
if (count == 0 && notzero == false)
    {
      sound ();
	  leave (clean, "Your log is currently empty!", no_files_open);
	}
  leave (clean, "void", no_files_open);

} /* Readlog() */
